//
//  GYS_FX_Product_VC.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/11/3.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class GYS_FX_Product_VC: BaseViewController,UITableViewDelegate,UITableViewDataSource{
    
    @IBOutlet weak var center_select_btn: UIButton!
    @IBOutlet weak var count_lbl: UILabel!//已铺货/可铺货 数量
    @IBOutlet weak var bottom_title_lbl: UILabel!
    @IBOutlet weak var rightBtn: UIButton!
    @IBOutlet weak var leftBtn: UIButton!
    //MARK: - 顶栏按钮点击事件
    @IBAction func topBtnClick(_ sender: UIButton) {
        if sender.tag == 0 {
            rightBtn.isSelected = false
            leftBtn.isSelected = true
            bottom_title_lbl.text = "已铺货"
        }else{
            rightBtn.isSelected = true
            leftBtn.isSelected = false
            bottom_title_lbl.text = "可铺货"
        }
        //刷新主界面
        home_list_tbv.reloadData()
        let leftValue = CGFloat(sender.tag) * fullScreenWidth * 0.5
        top_Bottom_Line.snp.updateConstraints { (make) in
            make.left.equalTo(leftValue)
            make.bottom.equalTo(0)
            make.width.equalTo(fullScreenWidth * 0.5)
            make.height.equalTo(3)
        }
    }
    @IBOutlet weak var top_Bottom_Line: UIView!
    @IBOutlet weak var center_Name_Lbl: UILabel!
    @IBOutlet weak var arrow_Img: UIImageView!
    
    @IBOutlet weak var cover_Btn: UIButton!
    @IBAction func coverCloseAction(_ sender: UIButton) {
        sender.isHidden = true
        select_list_tbv.isHidden = cover_Btn.isHidden
    }
    //MARK: - 批零中心选择事件
    @IBAction func centerSelectAction(_ sender: UIButton) {
        if arrow_Img.image == UIImage(named: "up_blue"){
            arrow_Img.image = UIImage(named: "down_blue")
        }else{
            arrow_Img.image = UIImage(named: "up_blue")
        }
        
        cover_Btn.isHidden = !cover_Btn.isHidden
        select_list_tbv.isHidden = cover_Btn.isHidden
        
    }
    @IBOutlet weak var select_list_tbv: UITableView!//选择中心列表
    
    @IBOutlet weak var home_list_tbv: UITableView!//主视图列表
    
    @IBOutlet weak var top_view: UIView!
    
    var centersArr = ["1","2","3","4","5","6","7","8","9"]
    
    func rightBtnClick() {
        let vc = GYS_FX_SearchViewController()
        self.navigationController?.pushViewController(vc, animated: true)
    }
    override func viewDidLoad() {
        super.viewDidLoad()
        
        SetTopFrame(view: top_view, height: 44)
        navbar.title = "供应商分销商品管理"
        navbar.rightImg = UIImage(named: "ss_dark")
        self.view.addSubview(navbar)
        
        home_list_tbv.register(UINib(nibName: "GYS_FX_ProductCellTableViewCell", bundle: nil), forCellReuseIdentifier: "GYS_FX_ProductCellTableViewCell")
        home_list_tbv.delegate = self
        home_list_tbv.separatorStyle = .none
        home_list_tbv.dataSource = self
        
        select_list_tbv.register(UINib(nibName: "TitleAndSelectCell", bundle: nil), forCellReuseIdentifier: "TitleAndSelectCell")
        select_list_tbv.delegate = self
        select_list_tbv.separatorStyle = .none
        select_list_tbv.showsVerticalScrollIndicator = false
        select_list_tbv.dataSource = self
        
        //MARK: -  限制中心选择高度
        var select_list_tbv_height = centersArr.count * 49
        if centersArr.count > 350 {
            select_list_tbv_height = 350
        }
        select_list_tbv.snp.updateConstraints{ (make) in
            make.top.equalTo(center_select_btn.snp_bottom)
            make.left.right.equalTo(0)
            make.height.equalTo(select_list_tbv_height)
        }
    }
    
    override func viewDidLayoutSubviews() {
        super.viewDidLayoutSubviews()
        select_list_tbv.layer.cornerRadius = 5
        select_list_tbv.layer.maskedCorners = [CACornerMask.layerMinXMaxYCorner,CACornerMask.layerMaxXMaxYCorner]
    }
    //MARK: - tableview_delegate
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        if tableView == home_list_tbv {
            return 3
        }else{
            return centersArr.count
        }
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        if tableView == home_list_tbv {
            let cell = tableView.dequeueReusableCell(withIdentifier: "GYS_FX_ProductCellTableViewCell") as! GYS_FX_ProductCellTableViewCell
            if bottom_title_lbl.text == "已铺货"{
                cell.submitBtn.setTitle("取消铺货", for: .normal)
            }else{
                cell.submitBtn.setTitle("铺货", for: .normal)
            }
            return cell
        }else{
            let cell = tableView.dequeueReusableCell(withIdentifier: "TitleAndSelectCell") as! TitleAndSelectCell
            cell.is_center_select = true
            cell.titleLbl.text = centersArr[indexPath.row]
            return cell
        }
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        if tableView == home_list_tbv {
            return 125
        }else{
            return 49
        }
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        if tableView == home_list_tbv {
            //主界面列表
        }else{
            //中心选择列表
            tableView.visibleCells.forEach { (item) in
                let cell = item as! TitleAndSelectCell
                cell.selectBtn.isSelected = false
            }
            let cell = tableView.cellForRow(at: indexPath) as! TitleAndSelectCell
            cell.selectBtn.isSelected = true
            select_list_tbv.isHidden = true
            cover_Btn.isHidden = true
            arrow_Img.image = UIImage(named: "up_blue")
            center_Name_Lbl.text = centersArr[indexPath.row]
//            home_list_tbv.reloadData()
        }
    }
    /*
     // MARK: - Navigation
     
     // In a storyboard-based application, you will often want to do a little preparation before navigation
     override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
     // Get the new view controller using segue.destination.
     // Pass the selected object to the new view controller.
     }
     */
    
}
