//
//  RetailManageViewController.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/11/3.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class RetailManageViewController: BaseViewController,UISearchBarDelegate,SearchBarViewDelegate,HeaderSelectViewDelegate ,SelectContentViewDelegate,TimeShowDownViewDeleagte{

    
    @IBOutlet weak var listView: UITableView!
    @IBOutlet weak var searchBgView: UIView!
    @IBOutlet weak var changeBgView: UIView!
    override func viewDidLoad() {
        super.viewDidLoad()
        navbar.title = "分销订单管理"
        navbar.lineView.isHidden = true
        self.view.addSubview(navbar)
        SetTopFrame(view: searchBgView, height: 45)
        
        //searchbar
        initSearchBar()
        initHeaderSelectView()
        
    }
    //MARK:--initSearchBar
    weak var searchV: SearchBarView? = nil
    var keyword = ""
    func initSearchBar() {
        let searchBr = SearchBarView.init()
        self.searchBgView.addSubview(searchBr)
        searchBr.snp.makeConstraints { (make) in
            make.left.right.equalTo(0)
            make.centerY.equalToSuperview()
            make.height.equalTo(35)
        }
        searchV = searchBr
        searchBr.placeholderStr = "分销员/分销商"
        searchBr.cornerRadius = 35/2.0
        searchBr.delegate = self
        searchBr.delegateL = self
    }
    //MARK: - searchView delegate
    func clearSearchAction() {
        print("取消搜索代理了--")
    }
    //MARK:--编辑即将结束
    func searchBarTextDidEndEditing(_ searchBar: UISearchBar) {
        if keyword.count > 0 {
            keyword = searchBar.text!
            if keyword.count == 0 {
                loadData()
            }
        }
        removeBlackBtnView()
        
    }
    func searchBarSearchButtonClicked(_ searchBar: UISearchBar) {
        print("点击搜索进行--")
        searchBar.resignFirstResponder()
        keyword = searchBar.text!
        removeBlackBtnView()
        
//        listView.mj_header?.beginRefreshing()
        
    }
    func searchBarShouldBeginEditing(_ searchBar: UISearchBar) -> Bool {
        if showSelectV != nil {
            showSelectV.removeFromSuperview()
            selectV.colseBytitleArr(arr: [], index:showSelectvIndex)
        }
        if timeShowDView != nil {
            timeShowDView.removeFromSuperview()
            selectV.colseBytitleArr(arr: [], index:showSelectvIndex)
        }
        blackBtnView = UIButton ()
        blackBtnView.backgroundColor = UIColor.init(named: "提示视图背景色")
        self.view.addSubview(blackBtnView)
        blackBtnView.snp.makeConstraints { (make) in
            make.top.equalTo(searchBgView.snp_bottom)
            make.left.right.bottom.equalToSuperview()
        }
        blackBtnView.addTarget(self, action: #selector(removeBlackBtnView), for: .touchUpInside)
        return true
    }
    @objc func removeBlackBtnView(){
        if blackBtnView != nil {
            blackBtnView.removeFromSuperview()
            searchV!.resignFirstResponder()
        }
    }
    var blackBtnView:UIButton! = nil
    //MARK:--HeaderSelectView
    weak var selectV: HeaderSelectView! = nil
    var showSelectvIndex = 0
    weak var showSelectV: SelectContentView! = nil
    weak var timeShowDView: TimeShowDownView! = nil

    var selectIndexArr = [0,0,0]

    func initHeaderSelectView() {
        let selectView = HeaderSelectView()
        selectView.firstBtn.setTitle("结算方式", for: .normal)
        selectView.secBtn.setTitle("订单类型", for: .normal)
        selectView.thereBtn.setTitle("结算时间", for: .normal)

        changeBgView.addSubview(selectView)
        selectView.snp.makeConstraints { (make) in
            make.left.top.right.bottom.equalTo(0);
        }
        selectView.delegate = self
        selectV = selectView
    }
    //MARK:--下拉视图模块
    func showAction(sender: Int) {
        showSelectvIndex = sender
        switch sender {
        case 0:
            do {
                let showSelectView = SelectContentView()
                showSelectView.delegate = self
                self.view.addSubview(showSelectView)
                showSelectView.snp.makeConstraints { (make) in
                    make.left.right.bottom.equalToSuperview()
                    make.top.equalTo(changeBgView.snp_bottom)
                }
                showSelectV = showSelectView
                showSelectView.dataArr = ["全部", "人工结算", "自动结算", "待自动结算", "已自动结算", "待人工结算", "已人工结算"]
                showSelectView.selectIndx = selectIndexArr[0]
                
            }
            break
        case 1:
            do {
                let showSelectView = SelectContentView()
                showSelectView.delegate = self
                self.view.addSubview(showSelectView)
                showSelectView.snp.makeConstraints { (make) in
                    make.left.right.bottom.equalToSuperview()
                    make.top.equalTo(changeBgView.snp_bottom)
                }
                showSelectV = showSelectView
                showSelectView.dataArr = ["全部", "分销员订单", "分销商订单"]
                showSelectView.selectIndx = selectIndexArr[1]
                
            }
            break
        case 2:
            do {
                //选择时间
                let timeShowDownView = TimeShowDownView()
                self.view.addSubview(timeShowDownView)
                timeShowDownView.snp.makeConstraints { (make) in
                    make.left.right.bottom.equalToSuperview()
                    make.top.equalTo(changeBgView.snp_bottom)
                }
                timeShowDView = timeShowDownView
                timeShowDownView.delegate = self
            }
            break
        default: break
            
        }
        
    }
    func colseAction(sender: Int) {
        if showSelectV != nil {
            showSelectV.removeFromSuperview()
        }
        if timeShowDView != nil {
            timeShowDView.removeFromSuperview()
        }
    }
    //MARK:--SelectContentViewDelegate
    func didselectCell(sender: Int) {
        selectIndexArr[showSelectvIndex] = sender
        selectV.colseBytitleArr(arr: [], index:showSelectvIndex)
//        listView.mj_header?.beginRefreshing()
    }
    
    func selectContentvRemoveForSup() {
        selectV.colseBytitleArr(arr: [], index:showSelectvIndex)
    }
    //MARK:--TimeShowDownViewDeleagte
    func TimeShowDownViewRemoveForSup() {
        selectV.colseBytitleArr(arr: [], index:showSelectvIndex)
    }
    //MARK:--loadData
    @objc func loadData(){

    }
    
}
